from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class JmJobEdge(BaseModel):
    __tablename__ = "jm_job_edge"

    id = Column(Integer, primary_key=True, index=True)
    # 进节点
    in_node_id = Column(Integer)
    # 出节点
    out_node_id = Column(Integer)
    # 任务id
    job_id = Column(Integer, nullable=False)