from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class Programme(BaseModel):
    __tablename__ = "programme"

    id = Column(Integer, primary_key=True, index=True)
    # 可视化编程名称
    name = Column(String, nullable=False)
    # 密码（暗文）
    password = Column(String, nullable=False)
    # 挂载目录
    workspace = Column(String, nullable=False)
    # api_url
    base_url = Column(String, nullable=False)
    # 使用镜像
    image = Column(String, nullable=False)
    # 路径
    path = Column(String, nullable=False)
    # xx名称
    release_name = Column(String, nullable=False)
    # 状态
    status = Column(Integer, nullable=False)
    # 创建时间
    create_time = Column(Integer, nullable=False)
    # 用户id
    user_id = Column(String, nullable=False)
    # 用户名称
    user_name = Column(String, nullable=False)
    # 项目id
    project_id = Column(String, nullable=False)