from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class Project(BaseModel):
    __tablename__ = "project"

    id = Column(Integer, primary_key=True, index=True)
    # 项目名称
    name = Column(String, nullable=False)
    # 项目编码
    code = Column(String, nullable=False)
    # 项目类型（0:算法组；1:普通项目）
    type = Column(Integer, nullable=False)
    # 创建时间
    create_time = Column(Integer, nullable=False)
    # project_token
    project_token = Column(String)