from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class ProjectUserRelation(BaseModel):
    __tablename__ = "project_user_relation"

    id = Column(Integer, primary_key=True, index=True)
    # 用户id
    user_id = Column(Integer, nullable=False)
    # 项目id
    project_id = Column(Integer, nullable=False)
    # 角色id
    role_id = Column(Integer, nullable=False)