from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class Relation(BaseModel):
    __tablename__ = "relation"

    id = Column(Integer, primary_key=True, index=True)
    # 服务端id
    se_id = Column(Integer)
    # (datax,job,task,debug)
    type = Column(Integer, nullable=False)
    # airflow端id
    af_id = Column(Integer, nullable=False)
    # dag_uuid
    dag_uuid = Column(String)
