from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class Users(BaseModel):
    __tablename__ = "users"

    id = Column(Integer, primary_key=True, index=True)
    # 姓名
    name = Column(String, nullable=False)
    # 用户编码
    code = Column(String, nullable=False)
    # 用户名称
    username = Column(String, nullable=False)
    # 密码暗文
    password = Column(String, nullable=False)
    # 创建时间
    create_time = Column(Integer, nullable=False)
    # user_token
    user_token = Column(String)