from typing import List, Optional

from pydantic import BaseModel

class JmJobNode(BaseModel):
    id: str
    # 作业id
    homework_id: Optional[int]
    # 作业名称
    homework_name: str

class JmJobEdge(BaseModel):
    # 入节点
    source: str
    # 出节点
    target: str



