from typing import List, Optional

from pydantic import BaseModel

class ProjectBase(BaseModel):
    # 项目名称
    name: str

class ProjectCreate(ProjectBase):
    class Config:
        schema_extra = {
            "example": {
                "name": "blue_sky",
            }
        }

class ProjectUpdate(ProjectBase):
    class Config:
        schema_extra = {
            "example": {
                "name": "blue_sky",
            }
        }
